<?php
add_action( 'tgmpa_register', 'dttheme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
if( !function_exists('dttheme_register_required_plugins') ) {

	function dttheme_register_required_plugins() {

		/**
		 * Array of plugin arrays. Required keys are name and slug.
		 * If the source is NOT from the .org repo, then source is also required.
		 */
		$plugins = array(

			// This is an example of how to include a plugin from the WordPress Plugin Repository

			array(
				'name'     				=> __('DesignThemes Core  Shortcode Plugins','soulmedic'), // The plugin name
				'slug'     				=> 'designthemes-core-features', // The plugin slug (typically the folder name)
				'source'   				=> get_template_directory() . '/framework/plugins/designthemes-core-features.zip', // The plugin source
				'version' 				=> '1.5',
				'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
				'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			),

			array(
				'name'     				=> __('Visual Composer','soulmedic'),
				'slug'     				=> 'js_composer',
				'source'   				=> get_template_directory().'/framework/plugins/js_composer.zip',
				'version' 				=> '6.0.5',
			),
			
			array(
				'name'     				=> __('Layer Slider','soulmedic'),
				'slug'     				=> 'LayerSlider',
				'version'				=> '6.10.0',
				'source'   				=> get_template_directory().'/framework/plugins/LayerSlider.zip',
			),

			array(
				'name'     				=> __('Revolution Slider','soulmedic'),
				'slug'     				=> 'revslider',
				'version'				=> '6.1.5',
				'source'   				=> get_template_directory().'/framework/plugins/revslider.zip',
			),

			array(
				'name'     				=> __('Responsive Google Maps','soulmedic'),
				'slug'     				=> 'responsive-maps-plugin',
				'version'				=> '4.7',
				'source'   				=> get_template_directory().'/framework/plugins/responsive-maps-plugin.zip',
			),

			array(
				'name'					=> __('Envato Market', 'soulmedic'),
				'slug'					=> 'envato-market',
				'source'				=> get_template_directory().'/framework/plugins/envato-market.zip',
			),	

			array(
				'name' 		=> __('Contact Form 7','soulmedic'),
				'slug' 		=> 'contact-form-7',
				'required' 	=> false,
			),

			array(
				'name' 		=> __('Like This','soulmedic'),
				'slug' 		=> 'roses-like-this',
				'required' 	=> false,
			),

			array(
				'name' 		=> __('The Event Calender ( Modern Tribe )','soulmedic'),
				'slug' 		=> 'the-events-calendar',
				'required' 	=> false,
			),

			array(
				'name'		=>	__('WooCommerce - excelling eCommerce','soulmedic'),
				'slug'		=>	'woocommerce',
				'required'	=>	false
			),

			array(
				'name'		=>	__('YITH WooCommerce Wishlist','soulmedic'),
				'slug'		=>	'yith-woocommerce-wishlist',
				'required'	=>	false
			),
			


			array(
				'name' 					=> __('Unyson', 'soulmedic'),
				'slug' 					=> 'unyson',
				'source'   				=> get_template_directory().'/framework/plugins/unyson.zip',
				'required' 				=> false,
			)
		);

	    /**
	     * Array of configuration settings. Amend each line as needed.
	     * If you want the default strings to be available under your own theme domain,
	     * leave the strings uncommented.
	     * Some of the strings are added into a sprintf, so see the comments at the
	     * end of each line for what each argument will be.
	     */
	    $config = array(
			'id'           => 'soulmedic',                 // Unique ID for hashing notices for multiple instances of TGMPA.
			'default_path' => '',                      // Default absolute path to bundled plugins.
			'menu'         => 'tgmpa-install-plugins', // Menu slug.
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => false,                   // Automatically activate plugins after installation or not.
			'message'      => '',                      // Message to output right before the plugins table.
	    );

	    tgmpa( $plugins, $config );
	}
}?>