<?php
function soulmedic_kirki_config() {
	return 'soulmedic_kirki_config';
}

function soulmedic_defaults( $key = '' ) {
	$defaults = array();

	# site identify
	$defaults['use-custom-logo']    = '1';
	$defaults['custom-logo']        = SOULMEDIC_THEME_URI.'/images/logo.png';
	$defaults['custom-light-logo']  = SOULMEDIC_THEME_URI.'/images/light-logo.png';
	$defaults['custom-footer-logo'] = SOULMEDIC_THEME_URI.'/images/footer-logo.png';
	$defaults['site_icon']          = SOULMEDIC_THEME_URI.'/images/favicon.ico';

	# site layout
	$defaults['site-layout'] = 'wide';

	# site skin
	$defaults['use-predefined-skin'] = '0';
	$defaults['predefined-skin']     = 'blue';
	$defaults['primary-color']       = '#4bbcd7';
	$defaults['secondary-color']     = '#0390b2';
	$defaults['tertiary-color']      = '#e3f4fb';
	$defaults['body-bg-color']       = '#ffffff';
	$defaults['body-content-color']  = '#808080';
	$defaults['body-a-color']        = '#4bbcd7';
	$defaults['body-a-hover-color']  = '#666';
	$defaults['custom-title-color']  = '#ffffff';
	

	# site breadcrumb
	$defaults['customize-breadcrumb-title-typo'] = '1';
	$defaults['breadcrumb-title-typo'] = array( 'font-family' => 'Lato',
		'variant'        => 'regular',
		'subsets'        => array( 'latin-ext' ),
		'font-size'      => '24px',
		'line-height'    => 'normal',
		'letter-spacing' => '0px',
		'color'          => '#000000',
		'text-align'     => 'unset',
		'text-transform' => 'none' );
	$defaults['customize-breadcrumb-typo'] = '0';
	$defaults['breadcrumb-typo'] = array( 'font-family' => 'Lato',
		'variant'        => '500',
		'subsets'        => array( 'latin-ext' ),
		'font-size'      => '13px',
		'line-height'    => '37px',
		'letter-spacing' => '0',
		'color'          => '#2b2b2b',
		'text-align'     => 'unset',
		'text-transform' => 'none' );

	# custom content
	$defaults['customize-custom-content-typo'] = '1';
	$defaults['custom-content-typo'] = array( 'font-family' => 'Lato' );
	$defaults['customize-custom-heading-typo'] = '1';
	$defaults['custom-heading-typo'] = array( 'font-family' => 'Lato' );

	# site footer
	$defaults['customize-footer-title-typo'] = '1';
	$defaults['footer-title-typo'] = array( 'font-family' => 'Lato',
		'variant'        => '700',
		'subsets'        => array( 'latin-ext' ),
		'font-size'      => '18px',
		'line-height'    => 'normal',
		'letter-spacing' => '0',
		'color'          => '#808080',
		'text-align'     => 'left',
		'text-transform' => 'none' );
	$defaults['customize-footer-content-typo'] = '1';
	$defaults['footer-content-typo'] = array( 'font-family' => 'Lato',
		'variant'        => 'regular',
		'subsets'        => array( 'latin-ext' ),
		'font-size'      => '14px',
		'line-height'    => '24px',
		'letter-spacing' => '0',
		'color'          => '#808080',
		'text-align'     => 'left',
		'text-transform' => 'none' );

	$defaults['footer-content-a-color'] = '808080';
	$defaults['footer-content-a-hover-color'] = '4bbcd7';

	# site typography
	$defaults['customize-body-h1-typo'] = '1';
	$defaults['h1'] = array(
		'font-family'    => 'Lato',
		'variant'        => '700',
		'font-size'      => '30px',
		'line-height'    => 'normal',
		'letter-spacing' => '0px',
		'color'          => '#2d2d29',
		'text-align'     => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h2-typo'] = '1';
	$defaults['h2'] = array(
		'font-family'    => 'Lato',
		'variant'        => '700',
		'font-size'      => '24px',
		'line-height'    => 'normal',
		'letter-spacing' => '0px',
		'color'          => '#2d2d29',
		'text-align'     => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h3-typo'] = '1';
	$defaults['h3'] = array(
		'font-family'    => 'Lato',
		'variant'        => '700',
		'font-size'      => '20px',
		'line-height'    => 'normal',
		'letter-spacing' => '0px',
		'color'          => '#2d2d29',
		'text-align'     => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h4-typo'] = '1';
	$defaults['h4'] = array(
		'font-family'    => 'Lato',
		'variant'        => '700',
		'font-size'      => '18px',
		'line-height'    => '24px',
		'letter-spacing' => '0px',
		'color'          => '#2d2d29',
		'text-align'     => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h5-typo'] = '1';
	$defaults['h5'] = array(
		'font-family'    => 'Lato',
		'variant'        => '700',
		'font-size'      => '16px',
		'line-height'    => '24px',
		'letter-spacing' => '0px',
		'color'          => '#2d2d29',
		'text-align'     => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h6-typo'] = '1';
	$defaults['h6'] = array(
		'font-family'    => 'Lato',
		'variant'        => '700',
		'font-size'      => '14px',
		'line-height'    => '24px',
		'letter-spacing' => '0px',
		'color'          => '#2d2d29',
		'text-align'     => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-content-typo'] = '1';
	$defaults['body-content-typo'] = array(
		'font-family'    => 'Lato',
		'variant'        => 'regular',
		'font-size'      => '14px',
		'line-height'    => '24px',
		'letter-spacing' => 'normal',
		'color'          => '#808080',
		'text-align'     => 'unset',
		'text-transform' => 'none'
	);

	if( !empty( $key ) && array_key_exists( $key, $defaults) ) {
		return $defaults[$key];
	}

	return '';
}

function soulmedic_image_positions() {

	$positions = array( "top left" => esc_attr__('Top Left','soulmedic'),
		"top center"    => esc_attr__('Top Center','soulmedic'),
		"top right"     => esc_attr__('Top Right','soulmedic'),
		"center left"   => esc_attr__('Center Left','soulmedic'),
		"center center" => esc_attr__('Center Center','soulmedic'),
		"center right"  => esc_attr__('Center Right','soulmedic'),
		"bottom left"   => esc_attr__('Bottom Left','soulmedic'),
		"bottom center" => esc_attr__('Bottom Center','soulmedic'),
		"bottom right"  => esc_attr__('Bottom Right','soulmedic'),
	);

	return $positions;
}

function soulmedic_image_repeats() {

	$image_repeats  = array( "repeat" => esc_attr__('Repeat','soulmedic'),
		"repeat-x"  => esc_attr__('Repeat in X-axis','soulmedic'),
		"repeat-y"  => esc_attr__('Repeat in Y-axis','soulmedic'),
		"no-repeat" => esc_attr__('No Repeat','soulmedic')
	);

	return $image_repeats;
}

function soulmedic_border_styles() {

	$image_repeats = array(
		"none"	 => esc_attr__('None','soulmedic'),
		"dotted" => esc_attr__('Dotted','soulmedic'),
		"dashed" => esc_attr__('Dashed','soulmedic'),
		"solid"	 => esc_attr__('Solid','soulmedic'),
		"double" => esc_attr__('Double','soulmedic'),
		"groove" => esc_attr__('Groove','soulmedic'),
		"ridge"	 => esc_attr__('Ridge','soulmedic'),
	);

	return $image_repeats;
}

function soulmedic_animations() {

	$animations = array(
		'' 					 =>  esc_html__('Default','soulmedic'),	
		"bigEntrance"        =>  esc_attr__("bigEntrance",'soulmedic'),
        "bounce"             =>  esc_attr__("bounce",'soulmedic'),
        "bounceIn"           =>  esc_attr__("bounceIn",'soulmedic'),
        "bounceInDown"       =>  esc_attr__("bounceInDown",'soulmedic'),
        "bounceInLeft"       =>  esc_attr__("bounceInLeft",'soulmedic'),
        "bounceInRight"      =>  esc_attr__("bounceInRight",'soulmedic'),
        "bounceInUp"         =>  esc_attr__("bounceInUp",'soulmedic'),
        "bounceOut"          =>  esc_attr__("bounceOut",'soulmedic'),
        "bounceOutDown"      =>  esc_attr__("bounceOutDown",'soulmedic'),
        "bounceOutLeft"      =>  esc_attr__("bounceOutLeft",'soulmedic'),
        "bounceOutRight"     =>  esc_attr__("bounceOutRight",'soulmedic'),
        "bounceOutUp"        =>  esc_attr__("bounceOutUp",'soulmedic'),
        "expandOpen"         =>  esc_attr__("expandOpen",'soulmedic'),
        "expandUp"           =>  esc_attr__("expandUp",'soulmedic'),
        "fadeIn"             =>  esc_attr__("fadeIn",'soulmedic'),
        "fadeInDown"         =>  esc_attr__("fadeInDown",'soulmedic'),
        "fadeInDownBig"      =>  esc_attr__("fadeInDownBig",'soulmedic'),
        "fadeInLeft"         =>  esc_attr__("fadeInLeft",'soulmedic'),
        "fadeInLeftBig"      =>  esc_attr__("fadeInLeftBig",'soulmedic'),
        "fadeInRight"        =>  esc_attr__("fadeInRight",'soulmedic'),
        "fadeInRightBig"     =>  esc_attr__("fadeInRightBig",'soulmedic'),
        "fadeInUp"           =>  esc_attr__("fadeInUp",'soulmedic'),
        "fadeInUpBig"        =>  esc_attr__("fadeInUpBig",'soulmedic'),
        "fadeOut"            =>  esc_attr__("fadeOut",'soulmedic'),
        "fadeOutDownBig"     =>  esc_attr__("fadeOutDownBig",'soulmedic'),
        "fadeOutLeft"        =>  esc_attr__("fadeOutLeft",'soulmedic'),
        "fadeOutLeftBig"     =>  esc_attr__("fadeOutLeftBig",'soulmedic'),
        "fadeOutRight"       =>  esc_attr__("fadeOutRight",'soulmedic'),
        "fadeOutUp"          =>  esc_attr__("fadeOutUp",'soulmedic'),
        "fadeOutUpBig"       =>  esc_attr__("fadeOutUpBig",'soulmedic'),
        "flash"              =>  esc_attr__("flash",'soulmedic'),
        "flip"               =>  esc_attr__("flip",'soulmedic'),
        "flipInX"            =>  esc_attr__("flipInX",'soulmedic'),
        "flipInY"            =>  esc_attr__("flipInY",'soulmedic'),
        "flipOutX"           =>  esc_attr__("flipOutX",'soulmedic'),
        "flipOutY"           =>  esc_attr__("flipOutY",'soulmedic'),
        "floating"           =>  esc_attr__("floating",'soulmedic'),
        "hatch"              =>  esc_attr__("hatch",'soulmedic'),
        "hinge"              =>  esc_attr__("hinge",'soulmedic'),
        "lightSpeedIn"       =>  esc_attr__("lightSpeedIn",'soulmedic'),
        "lightSpeedOut"      =>  esc_attr__("lightSpeedOut",'soulmedic'),
        "pullDown"           =>  esc_attr__("pullDown",'soulmedic'),
        "pullUp"             =>  esc_attr__("pullUp",'soulmedic'),
        "pulse"              =>  esc_attr__("pulse",'soulmedic'),
        "rollIn"             =>  esc_attr__("rollIn",'soulmedic'),
        "rollOut"            =>  esc_attr__("rollOut",'soulmedic'),
        "rotateIn"           =>  esc_attr__("rotateIn",'soulmedic'),
        "rotateInDownLeft"   =>  esc_attr__("rotateInDownLeft",'soulmedic'),
        "rotateInDownRight"  =>  esc_attr__("rotateInDownRight",'soulmedic'),
        "rotateInUpLeft"     =>  esc_attr__("rotateInUpLeft",'soulmedic'),
        "rotateInUpRight"    =>  esc_attr__("rotateInUpRight",'soulmedic'),
        "rotateOut"          =>  esc_attr__("rotateOut",'soulmedic'),
        "rotateOutDownRight" =>  esc_attr__("rotateOutDownRight",'soulmedic'),
        "rotateOutUpLeft"    =>  esc_attr__("rotateOutUpLeft",'soulmedic'),
        "rotateOutUpRight"   =>  esc_attr__("rotateOutUpRight",'soulmedic'),
        "shake"              =>  esc_attr__("shake",'soulmedic'),
        "slideDown"          =>  esc_attr__("slideDown",'soulmedic'),
        "slideExpandUp"      =>  esc_attr__("slideExpandUp",'soulmedic'),
        "slideLeft"          =>  esc_attr__("slideLeft",'soulmedic'),
        "slideRight"         =>  esc_attr__("slideRight",'soulmedic'),
        "slideUp"            =>  esc_attr__("slideUp",'soulmedic'),
        "stretchLeft"        =>  esc_attr__("stretchLeft",'soulmedic'),
        "stretchRight"       =>  esc_attr__("stretchRight",'soulmedic'),
        "swing"              =>  esc_attr__("swing",'soulmedic'),
        "tada"               =>  esc_attr__("tada",'soulmedic'),
        "tossing"            =>  esc_attr__("tossing",'soulmedic'),
        "wobble"             =>  esc_attr__("wobble",'soulmedic'),
        "fadeOutDown"        =>  esc_attr__("fadeOutDown",'soulmedic'),
        "fadeOutRightBig"    =>  esc_attr__("fadeOutRightBig",'soulmedic'),
        "rotateOutDownLeft"  =>  esc_attr__("rotateOutDownLeft",'soulmedic')
    );

	return $animations;
}

function soulmedic_custom_fonts( $standard_fonts ){

	$custom_fonts = array();

	$fonts = cs_get_option('custom_font_fields');
	if( is_countable( $fonts ) && count( $fonts ) > 0 ):
		foreach( $fonts as $font ):
			$custom_fonts[$font['custom_font_name']] = array(
				'label' => $font['custom_font_name'],
				'variants' => array( '100', '100italic', '200', '200italic', '300', '300italic', 'regular', 'italic', '500', '500italic', '600', '600italic', '700', '700italic', '800', '800italic', '900', '900italic' ),
				'stack' => $font['custom_font_name'] . ', sans-serif'
			);
		endforeach;
	endif;

	return array_merge_recursive( $custom_fonts, $standard_fonts );
}
add_filter( 'kirki/fonts/standard_fonts', 'soulmedic_custom_fonts', 20 );